# config.yml
settings:
  concurrency: 50  # High concurrency for faster processing
  fetchTimeout: 3000  # Timeout for fetching M3U files
  linkCheckTimeout: 2000  # Timeout for checking link activity
  batchSize: 100  # Number of links to check in a single batch
  outputDirPrefix: SpecialLinks  # Base name for output directories/files
  channelsPerFile: 2000  # Maximum number of channels per file

urls:
- http://jafupro.com/get.php?username=Erik1234&password=Erik1234&type=m3u_plus
- http://jafupro.com/get.php?username=Pat123&password=Pat123&type=m3u_plus
- http://jafupro.com/get.php?username=Roger123&password=Roger123&type=m3u_plus
- http://jafupro.com/get.php?username=Alfonso12&password=Alfonso12&type=m3u_plus
- http://jafupro.com/get.php?username=Stephen12&password=Stephen12&type=m3u_plus
- http://jafupro.com/get.php?username=Freddie1234&password=Freddie1234&type=m3u_plus
- http://jafupro.com/get.php?username=Brian1234&password=Brian1234&type=m3u_plus
- http://jafupro.com/get.php?username=Arthur123&password=Arthur123&type=m3u_plus
- http://139-162-178-63.ip.linodeusercontent.com:25461/get.php?username=cognatoluciano&password=425515585&type=m3u_plus
- http://139-162-178-63.ip.linodeusercontent.com:25461/get.php?username=PaoloPinerolo&password=9ALexsx@Q@&type=m3u_plus
- http://139-162-178-63.ip.linodeusercontent.com:25461/get.php?username=Nunziaserino56&password=Pianura65&type=m3u_plus
- http://139-162-178-63.ip.linodeusercontent.com:25461/get.php?username=AlfaRomeo&password=psA26rPGGb&type=m3u_plus
- http://139-162-178-63.ip.linodeusercontent.com:25461/get.php?username=CLaud1az4&password=V@er10iaz2&type=m3u_plus
- http://royalfashion.design/get.php?username=King12345&password=King12345&type=m3u_plus
- http://royalfashion.design/get.php?username=Nelly&password=Nelly1&type=m3u_plus
- http://royalfashion.design/get.php?username=Norman&password=Norman123&type=m3u_plus
- http://royalfashion.design/get.php?username=Monty&password=Monty123&type=m3u_plus
- http://royalfashion.design/get.php?username=Mustafa&password=Mustafa123&type=m3u_plus
- http://royalfashion.design/get.php?username=Bobby&password=Bobby1&type=m3u_plus
- http://royalfashion.design/get.php?username=Lucky&password=Lucky123&type=m3u_plus
- http://royalfashion.design/get.php?username=Vern&password=Vern1&type=m3u_plus
- http://b1g.pw:80/get.php?username=Mark1234&password=Mark1234&type=m3u_plus
- http://megaott.live:8080/get.php?username=HK63Ukja4y36&password=BXhr8vneDEPs&type=m3u_plus
- http://megaott.live:8080/get.php?username=HK63Ukja4y36&password=BXhr8vneDEPs&type=m3u&output=mpegts
- http://megaott.live:8080/get.php?username=HK63Ukja4y36&password=BXhr8vneDEPs&type=m3u_plus&output=mpegts
- http://megaott.live:8080/get.php?username=HK63Ukja4y36&password=BXhr8vneDEPs&type=m3u&output=hls
- http://millcitygold.xyz:8080/get.php?username=Jeff&password=Jeff&type=m3u&output=mpegts
- http://millcitygold.xyz:8080/get.php?username=Jeff&password=Jeff&type=m3u_plus&output=mpegts
- http://millcitygold.xyz:8080/get.php?username=Jeff&password=Jeff&type=m3u&output=hls
- http://p13.cx/get.php?username=C3ntr4M1n1str4&password=p38ZmSvGWU&type=_plus
- http://p13.cx:80/get.php?username=C3ntr4M1n1str4&password=p38ZmSvGWU&type=m3u&output=mpegts
- http://p13.cx:80/get.php?username=C3ntr4M1n1str4&password=p38ZmSvGWU&type=m3u_plus&output=mpegts
- http://p13.cx:80/get.php?username=C3ntr4M1n1str4&password=p38ZmSvGWU&type=m3u&output=hls
- http://c.pure-onetv.com:80/get.php?username=V11BcwAXrm3Lf&password=UWnMfDPTV0&type=m3u_plus
- http://c.pure-onetv.com:80/get.php?username=V11BcwAXrm3Lf&password=UWnMfDPTV0&type=m3u&output=mpegts
- http://c.pure-onetv.com:80/get.php?username=V11BcwAXrm3Lf&password=UWnMfDPTV0&type=m3u_plus&output=mpegts
- http://c.pure-onetv.com:80/get.php?username=V11BcwAXrm3Lf&password=UWnMfDPTV0&type=m3u&output=hls
- http://ate.selfip.net:8000/get.php?username=SergioArias&password=skBOmVRyYr6&type=m3u&output=mpegts
- http://ate.selfip.net:8000/get.php?username=SergioArias&password=skBOmVRyYr6&type=m3u_plus&output=mpegts
- http://ate.selfip.net:8000/get.php?username=SergioArias&password=skBOmVRyYr6&type=m3u&output=hls
- http://gerenciadorr.xyz/get.php?username=35576717&password=43635115&type=m3u
- http://gerenciadorr.xyz/get.php?username=58442116&password=93183423&type=m3u
- http://gerenciadorr.xyz/get.php?username=24116569&password=77283247&type=m3u
- http://gerenciadorr.xyz/get.php?username=91314912&password=19536639&type=m3u
- http://ggrrth.htvsat.info:8880/get.php?username=2879940176c6&password=2879940176C6&type=m3u
- http://ggrrth.htvsat.info:8880/get.php?username=287994017630&password=287994017630&type=m3u
- http://ggrrth.htvsat.info:8880/get.php?username=287994017631&password=287994017631&type=m3u
- http://ggrrth.htvsat.info:8880/get.php?username=287994015609&password=287994015609&type=m3u
- http://ggrrth.htvsat.info:8880/get.php?username=287994024797&password=287994024797&type=m3u
- http://ggrrth.htvsat.info:8880/get.php?username=287994018336&password=287994018336&type=m3u
- http://ggrrth.htvsat.info:8880/get.php?username=287994022412&password=287994022412&type=m3u
- http://ggrrth.htvsat.info:8880/get.php?username=287994017821&password=287994017821&type=m3u
- http://ggrrth.htvsat.info:8880/get.php?username=2879940167db&password=2879940167DB&type=m3u
- http://ggrrth.htvsat.info:8880/get.php?username=287994022232&password=287994022232&type=m3u
- http://ggrrth.htvsat.info:8880/get.php?username=287994003712&password=287994003712&type=m3u
- http://ggrrth.htvsat.info:8880/get.php?username=287994025067&password=287994025067&type=m3u
- http://ggrrth.htvsat.info:8880/get.php?username=287994017062&password=287994017062&type=m3u
- http://ggrrth.htvsat.info:8880/get.php?username=28799401aa40&password=28799401AA40&type=m3u
- http://ggrrth.htvsat.info:8880/get.php?username=287994017065&password=287994017065&type=m3u
- http://gerenciadorr.xyz/get.php?username=93918112&password=41824848&type=m3u
- http://gerenciadorr.xyz/get.php?username=93121638&password=62771198&type=m3u
- http://gerenciadorr.xyz/get.php?username=34549166&password=37426441&type=m3u
- http://185.134.22.150:8080/get.php?username=sw-apT%40armand&password=QjfYG%40112224&type=m3u&output=mpegts
- http://185.134.22.150:8080/get.php?username=sw-apT%40armand&password=QjfYG%40112224&type=m3u_plus&output=mpegts
- http://185.134.22.150:8080/get.php?username=sw-apT%40armand&password=QjfYG%40112224&type=m3u&output=hls
- http://mpone.xyz:80/get.php?username=DominiqueHauser&password=5298428103&type=m3u&output=mpegts
- http://mpone.xyz:80/get.php?username=DominiqueHauser&password=5298428103&type=m3u_plus&output=mpegts
- http://mpone.xyz:80/get.php?username=DominiqueHauser&password=5298428103&type=m3u&output=hls
- http://mpone.xyz:80/get.php?username=stevenelliott&password=6340062100&type=m3u&output=mpegts
- http://mpone.xyz:80/get.php?username=stevenelliott&password=6340062100&type=m3u_plus&output=mpegts
- http://mpone.xyz:80/get.php?username=stevenelliott&password=6340062100&type=m3u&output=hls
- http://mpone.xyz:80/get.php?username=1243690803&password=3432538118&type=m3u&output=mpegts
- http://mpone.xyz:80/get.php?username=1243690803&password=3432538118&type=m3u_plus&output=mpegts
- http://mpone.xyz:80/get.php?username=1243690803&password=3432538118&type=m3u&output=hls
- http://mpone.xyz:80/get.php?username=Network24&password=6X56zc4469ey69U9B82&type=m3u&output=mpegts
- http://mpone.xyz:80/get.php?username=Network24&password=6X56zc4469ey69U9B82&type=m3u_plus&output=mpegts
- http://mpone.xyz:80/get.php?username=Network24&password=6X56zc4469ey69U9B82&type=m3u&output=hls
- http://stb.velocity.watch:8080/get.php?username=Naverah&password=Home2&type=m3u_plus
- http://stb.velocity.watch:8080/get.php?username=melodyg&password=uQnLQnTkRj&type=m3u_plus
- http://stb.velocity.watch:8080/get.php?username=Landlord1&password=8132793342&type=m3u_plus
- http://stb.velocity.watch:8080/get.php?username=ElizabethG2023&password=4tQeHW48DWBg&type=m3u_plus
- http://stb.velocity.watch:8080/get.php?username=September2024e&password=Touchdown&type=m3u_plus
- http://stb.velocity.watch:8080/get.php?username=2055676975&password=MAAvrCmWZ8FZ&type=m3u_plus
- http://stb.velocity.watch:8080/get.php?username=1915WMAIN&password=WqSc8ZaqdG&type=m3u_plus
- http://stb.velocity.watch:8080/get.php?username=7062390861&password=ksAGBaT29HEb&type=m3u_plus
- http://stb.velocity.watch:8080/get.php?username=Thomaswashington&password=ZEQpCYLuBm&type=m3u_plus
- http://stb.velocity.watch:8080/get.php?username=ksabrina&password=ouyZTyk75O&type=m3u_plus
- http://megaott.live:8080/get.php?username=9Kr5Cd4JCYjt&password=T9HwZWXQmdWB&type=m3u_plus
- http://megaott.live:8080/get.php?username=45ffgauksas&password=gu8krWn2CuxE&type=m3u_plus
- http://megaott.live:8080/get.php?username=5Bjh2qUxwXhz&password=sMH6SaRG72HT&type=m3u_plus
- http://megaott.live:8080/get.php?username=yZz78B24Bz9H&password=QCFYvFvus4jp&type=m3u_plus
- http://megaott.live:8080/get.php?username=Ahmad100conx&password=LR7T8ArqAdGY&type=m3u_plus
- http://megaott.live:8080/get.php?username=BcrbaAh6X7Ns&password=QMC3WN4RPR5f&type=m3u_plus
- http://defaultgen.com/get.php?username=rattler1968@hotmail.com&password=KgLE5BXERx&type=m3u_plus
- http://defaultgen.com/get.php?username=bennie613@verizon.net&password=kc6jJFTeKW&type=m3u_plus
- http://defaultgen.com/get.php?username=lozano233@aol.com&password=p99baZQtDM&type=m3u_plus
- http://defaultgen.com/get.php?username=dboyjr3rd@gmail.com&password=4FdD7hGrL4&type=m3u_plus
- http://defaultgen.com/get.php?username=ugetfit_las_vegas@yahoo.com&password=LPpdEUmrUu&type=m3u_plus
- http://defaultgen.com/get.php?username=jiovanny.camacho@yahoo.com&password=WtFGBsZPn6&type=m3u_plus
- http://defaultgen.com/get.php?username=gchung@cfl.rr.com&password=BZJjNLZk7U&type=m3u_plus
- http://defaultgen.com/get.php?username=ty43@optonline.net&password=qcjWyeQ5bj&type=m3u_plus
- http://tvbox.biz:31000/get.php?username=277747d3194a&password=8982841geearty&type=m3u_plus
- http://tvbox.biz:31000/get.php?username=Amiga2810&password=Abdo2110&type=m3u_plus
- http://tvbox.biz:31000/get.php?username=314255341504&password=291106146527&type=m3u_plus
- http://tvbox.biz:31000/get.php?username=iptvsd1310&password=1310paris&type=m3u_plus
- http://tvbox.biz:31000/get.php?username=mosaholanda22&password=691821683221&type=m3u_plus
- http://tvbox.biz:31000/get.php?username=779398169623&password=768277410570&type=m3u_plus
- http://tvbox.biz:31000/get.php?username=594546366366&password=694025052696&type=m3u_plus
- http://tvbox.biz:31000/get.php?username=norden1259&password=5467&type=m3u_plus
- http://tvbox.biz:31000/get.php?username=536083954152&password=646773187876&type=m3u_plus
- http://tvbox.biz:31000/get.php?username=iptvsd3158&password=3158fifart&type=m3u_plus
- http://ktm42.xyz:2052/get.php?username=05505205258&password=01010101&type=m3u_plus
- http://ktm42.xyz:2052/get.php?username=05505205258&password=01010101&type=m3u&output=mpegts
- http://ktm42.xyz:2052/get.php?username=05505205258&password=01010101&type=m3u_plus&output=mpegts
- http://ktm42.xyz:2052/get.php?username=05505205258&password=01010101&type=m3u&output=hls
- http://fixhdelite.xyz:8880/get.php?username=total&password=aNXa8Vn7XL&type=m3u_plus
- http://defaultgen.com:8880/get.php?username=total&password=aNXa8Vn7XL&type=m3u&output=mpegts
- http://defaultgen.com:8880/get.php?username=total&password=aNXa8Vn7XL&type=m3u_plus&output=mpegts
- http://defaultgen.com:8880/get.php?username=total&password=aNXa8Vn7XL&type=m3u&output=hls
- http://server.iptvxxx.net:80/get.php?username=images&password=11bd8781b41b507901fa1570dabbd
  # Add more URLs here (up to 100)
